Bug 608863 - kdepimlibs pulling in kdepimlibs-akonadi
Summary: kdepimlibs pulling in kdepimlibs-akonadi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepimlibs
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 19:23 UTC by Rex Dieter
Modified: 2010-07-13 20:41 UTC (History)
8 users (show)

Fixed In Version: kdeaccessibility-4.4.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 20:37:49 UTC


Attachments (Terms of Use)

Description Rex Dieter 2010-06-28 19:23:24 UTC
The point of our having a kdepimlibs-akonadi subpkg was so that kdepimlibs (and by extension kdebase-runtime) didn't have a hard dep on akonadi, but:

libakonadi-kde.so.4()(64bit) is needed by (installed) kdepimlibs-4.4.4-1.fc13.x86_64

libakonadi-kmime.so.4()(64bit) is needed by (installed) kdepimlibs-4.4.4-1.fc13.x86_64

Seems this broke somewhere recently.

Comment 1 Rex Dieter 2010-06-28 19:39:24 UTC
Culprint (on my x86_64 box) seems to be 
 /usr/lib64/kde4/kcm_mailtransport.so 

Looks like the dep was introduced in this commit,
http://websvn.kde.org/?view=revision&revision=1010056

meh.

Comment 2 Rex Dieter 2010-06-28 19:40:32 UTC
looks to include all of,
/usr/lib64/kde4/kcm_mailtransport.so
/usr/lib64/libmailtransport.so.4
/usr/lib64/libmailtransport.so.4.4.0
/usr/share/config.kcfg/mailtransport.kcfg
/usr/share/kde4/apps/kconf_update/mailtransports.upd
/usr/share/kde4/services/kcm_mailtransport.desktop

Comment 3 Fedora Update System 2010-07-05 04:23:36 UTC
kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-1.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-1.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12

Comment 4 Fedora Update System 2010-07-05 04:23:50 UTC
kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13

Comment 5 Fedora Update System 2010-07-07 17:48:53 UTC
kdeaccessibility-4.4.5-1.fc12, kdeadmin-4.4.5-1.fc12, kdeartwork-4.4.5-1.fc12, kdebase-runtime-4.4.5-1.fc12, kdebase-workspace-4.4.5-1.fc12, kdebindings-4.4.5-1.fc12, kdeedu-4.4.5-1.fc12, kdegames-4.4.5-1.fc12, kdelibs-4.4.5-1.fc12, kdemultimedia-4.4.5-1.fc12, kdepim-4.4.5-1.fc12, kdepim-runtime-4.4.5-1.fc12, kdepimlibs-4.4.5-1.fc12, kdeplasma-addons-4.4.5-1.fc12, kdesdk-4.4.5-1.fc12, kdetoys-4.4.5-1.fc12, kdeutils-4.4.5-1.fc12, oxygen-icon-theme-4.4.5-1.fc12, kde-l10n-4.4.5-1.fc12, kdebase-4.4.5-1.fc12, libmsn-4.1-1.fc12, kdenetwork-4.4.5-2.fc12, kdegraphics-4.4.5-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeaccessibility kdeadmin kdeartwork kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme kde-l10n kdebase libmsn kdenetwork kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libmsn-4.1-1.fc12,kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-2.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12

Comment 6 Fedora Update System 2010-07-07 17:49:38 UTC
kde-l10n-4.4.5-1.fc13, kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kdenetwork-4.4.5-1.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeaccessibility kdeadmin kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys oxygen-icon-theme kdenetwork kdeartwork kdeutils kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13

Comment 7 Fedora Update System 2010-07-13 07:37:13 UTC
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeaccessibility kdeadmin kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys oxygen-icon-theme kde-l10n kdenetwork kdeartwork kdeutils kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-2.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-3.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13

Comment 8 Fedora Update System 2010-07-13 20:37:30 UTC
kdeaccessibility-4.4.5-1.fc12, kdeadmin-4.4.5-1.fc12, kdeartwork-4.4.5-1.fc12, kdebase-runtime-4.4.5-1.fc12, kdebase-workspace-4.4.5-1.fc12, kdebindings-4.4.5-1.fc12, kdeedu-4.4.5-1.fc12, kdegames-4.4.5-1.fc12, kdelibs-4.4.5-1.fc12, kdemultimedia-4.4.5-1.fc12, kdepim-4.4.5-1.fc12, kdepim-runtime-4.4.5-1.fc12, kdepimlibs-4.4.5-1.fc12, kdeplasma-addons-4.4.5-1.fc12, kdesdk-4.4.5-1.fc12, kdetoys-4.4.5-1.fc12, kdeutils-4.4.5-1.fc12, oxygen-icon-theme-4.4.5-1.fc12, kdebase-4.4.5-1.fc12, libmsn-4.1-1.fc12, kde-l10n-4.4.5-2.fc12, kdenetwork-4.4.5-3.fc12, kdegraphics-4.4.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-13 20:41:29 UTC
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, libmsn-4.1-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.